Model Meta Data cleanup and plan
Need a plan and clean up of the top level package ModelMetaData.

Pat 2023-05-24: Added information on metadata model used by GMDM to this issue. See attached files.

Proposed Solution
Correct or delete model errors and remove ambiguities.

Decision

(2014-02-05 kd) WG 13 among other things delete the FullModelElement class and get rid of the multiple inheritance.
PowerSystemProject-DifferenceModel needs to be 0..1 to 0..*.

PowerSystemProjectSchedule needs to be eliminated and attributes moved PowerSystemProject. Also get rid of start and end and
"change" to "applied".

More changes still needed to close this.

28-Jun-2023 UCA TF13 Weekly Call:
This is the result of the 2014 IOP. This issue is actually against an older draft standard that was never published. We have decided to
close this issue and to create a new JIRA that directly describes the issue in the GMDM context.

History

#1 - 05/24/2023 11:17 AM - Pat Brown
- File GMDM 17 - Add modeling for Meta classes.docx added
- File GMDM IOP Meta Modeling.docx added

- Subject changed from Model Meta Data cleanup and plan
Need a plan and clean up o to Model Meta Data cleanup and plan [GMDM #17]

- Description updated

- Decision updated

#2 - 06/28/2023 10:47 AM - Todd Viegut
- Status changed from New to Open

- Decision updated
#3 - 06/28/2023 10:47 AM - Todd Viegut

- Status changed from Open to Review

#4 - 10/03/2023 03:08 AM - Chavdar Ivanov
- Status changed from Review to Closed
- Completion Date set to 10/03/2023

- Decision updated

Files

GMDM 17 - Add modeling for Meta classes.docx 14.2 KB 05/24/2023 Pat Brown

GMDM IOP Meta Modeling.docx 307 KB 05/24/2023 Pat Brown
